Skip to main content
GET
/
api
/
v1
/
tokenization
/
collection
/
tokens
Get collection tokens by ID or type
curl --request GET \
  --url https://sandbox.oumla.com/api/v1/tokenization/collection/tokens \
  --header 'x-api-key: <api-key>' \
  --header 'x-sdk-version: <x-sdk-version>'
{
  "tokens": [
    {
      "id": "<string>",
      "status": "<string>",
      "type": "<string>",
      "metaData": {},
      "addressId": "<string>",
      "amount": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "transactionHash": "<string>",
      "tokenId": "<string>"
    }
  ],
  "total": 123
}

Authorizations

x-api-key
string
header
required

API key for authentication

Headers

x-sdk-version
string
default:1.0.0
required

SDK version header

Query Parameters

skip
number
default:0
Example:

0

take
number
default:10
Example:

25

id
string
required
type
enum<string>
Available options:
MINT,
BURN

Response

Collection tokens by ID or type

tokens
object[]
total
number